﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="C1.Web.Wijmo.Controls.4" Namespace="C1.Web.Wijmo.Controls.C1ComboBox"
    TagPrefix="wijmo" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <!--jQuery References-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.18/jquery-ui.min.js"
        type="text/javascript"></script>
    <script type="text/javascript">
        function getSelectedItem(e, item) {
            var cmb_Product = $("#C1ComboBox2");
            cmb_Product.c1combobox({
                data: null
            });
            //call the service
            GetCityNamesFromService(item.label);

        }

        function GetCityNamesFromService(country) {
            //ajax call to get the data
            $.ajax({
                type: "POST",
                url: "GetDetails.asmx/GetCityNames",

                contentType: "application/json; charset=utf-8",
                dataType: "json",
                //pass the country name
                data: "{countryName:'" + country + "'}",
                success: function (data) {
                    var arr = [];
                    try {
                        //push the data in an array
                        $.each(data.d, function (i, elem) {
                            arr.push({
                                label: elem.CityName,
                                value: elem.CityId
                            });
                        });


                        FillComboWithData(arr);
                    }
                    catch (e) {
                        alert(e);
                        return;
                    }

                },
                error: function (result, status) {
                    if (status = "error") {
                        alert(status);
                    }
                }
            });

        }

        function FillComboWithData(productArray) {
            var cmb_Product = $("#C1ComboBox2");
            //set the datasource of the combobobox
            cmb_Product.c1combobox({
                data: productArray

            });

        }
                  
    </script>
</head>
<body>
    <form id="form1" runat="server">
    Select Country :
    <wijmo:C1ComboBox ID="C1ComboBox1" runat="server" OnClientSelect="getSelectedItem"
        Width="160px">
    </wijmo:C1ComboBox>
    Select City :
    <wijmo:C1ComboBox ID="C1ComboBox2" runat="server" Width="160px">
    </wijmo:C1ComboBox>
    </form>
</body>
</html>
